MyGUI_BackwardCompatibility.cpp File Reference
`#include "MyGUI_Precompiled.h"`
`#include "MyGUI_BackwardCompatibility.h"`
`#include "MyGUI_Button.h"`
`#include "MyGUI_ComboBox.h"`
`#include "MyGUI_EditBox.h"`
`#include "MyGUI_ItemBox.h"`
`#include "MyGUI_ListBox.h"`
`#include "MyGUI_MenuControl.h"`
`#include "MyGUI_MenuItem.h"`
`#include "MyGUI_MultiListBox.h"`
`#include "MyGUI_ProgressBar.h"`
`#include "MyGUI_ScrollView.h"`
`#include "MyGUI_TabControl.h"`
`#include "MyGUI_Widget.h"`
`#include "MyGUI_Window.h"`
`#include "MyGUI_TabItem.h"`
`#include "MyGUI_Canvas.h"`
`#include "MyGUI_LayoutManager.h"`
`#include "MyGUI_FontManager.h"`
`#include "MyGUI_ResourceManager.h"`
`#include "MyGUI_Gui.h"`
`#include "MyGUI_PointerManager.h"`
`#include "MyGUI_InputManager.h"`
`#include "MyGUI_RenderManager.h"`
`#include "MyGUI_LanguageManager.h"`
`#include "MyGUI_PluginManager.h"`
`#include "MyGUI_SkinManager.h"`
`#include "MyGUI_WidgetManager.h"`
`#include "MyGUI_FactoryManager.h"`
`#include "MyGUI_DeprecatedWidgets.h"`

Go to the source code of this file.

## Namespaces

namespace | MyGUI

## Typedefs

using | MyGUI::SetString = std::set<std::string, std::less<>>

## Functions

static std::string_view | MyGUI::convertAlignToDirection (std::string_view _value)
static std::string | MyGUI::convertRectToCoord (std::string_view _value)

## Variables

static MapString | MyGUI::mPropertyRename
static SetString | MyGUI::mPropertyIgnore
static MapString | MyGUI::mSkinRename